%bcond_with doc
%global pypi_name oslo.db
%global pkg_name oslo-db


Summary:        OpenStack oslo.db library
Name:           python-%{pkg_name}
Version:        12.1.1
Release:        1%{?dist}
License:        ASL 2.0
URL:            http://launchpad.net/oslo
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz


BuildRequires:  git-core
BuildArch:      noarch

%description
The OpenStack Oslo database handling library. Provides database connectivity to the different backends and helper utils.

%package -n python3-%{pkg_name}
Summary:        OpenStack oslo.db library
BuildRequires:  python3-devel python3-pbr python3-oslo-utils python3-oslo-config
BuildRequires:  python3-six python3-fixtures python3-oslotest python3-oslo-context python3-babel
BuildRequires:  python3-migrate python3-alembic python3-psycopg2 python3-testresources python3-testscenarios
Requires: python3-PyMySQL python3-pynacl python3-oslo-config python3-oslo-i18n python3-oslo-utils
Requires: python3-stevedore python3-pbr python3-debtcollector python3-alembic python3-migrate
Requires: python-%{pkg_name}-lang = %{version}-%{release} python3-sqlalchemy

%description -n python3-%{pkg_name}
The OpenStack Oslo database handling library. Provides database connectivity to the different backends and helper utils.

%package -n python3-%{pkg_name}-tests
Summary:    test subpackage for the Oslo database handling library
Requires:  python3-%{pkg_name} = %{version}-%{release} python3-oslo-utils python3-oslo-config python3-fixtures python3-testscenarios
Requires:  python3-oslotest python3-alembic python3-migrate python3-psycopg2 python3-testresources

%description -n python3-%{pkg_name}-tests
The OpenStack Oslo database handling library. Provides database connectivity to the different backends and helper utils.

Test subpackage for the Oslo database handling library.

%package  -n python-%{pkg_name}-lang
Summary:   Translation files for Oslo db library

%description -n python-%{pkg_name}-lang
The OpenStack Oslo database handling library. Provides database connectivity to the different backends and helper utils.

Translation files for Oslo db library

%if 0%{with doc}
%package -n python-%{pkg_name}-doc
Summary:    Documentation for the Oslo database handling library
BuildRequires:  python3-sphinx python3-sphinxcontrib-apidoc python3-openstackdocstheme

%description -n python-%{pkg_name}-doc
The OpenStack Oslo database handling library. Provides database connectivity to the different backends and helper utils.

Documentation for the Oslo database handling library.
%endif

%prep
%autosetup -n %{pypi_name}-%{version} -S git

rm -rf *requirements.txt

%build
%{py3_build}

%if 0%{with doc}
sphinx-build-3 -b html doc/source doc/build/html
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

python3 setup.py compile_catalog -d build/lib/oslo_db/locale --domain oslo_db

%install
%{py3_install}

install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python3_sitelib}/oslo_db/locale/*/LC_*/oslo_db*po
rm -f %{buildroot}%{python3_sitelib}/oslo_db/locale/*pot
mv %{buildroot}%{python3_sitelib}/oslo_db/locale %{buildroot}%{_datadir}/locale

%find_lang oslo_db --all-name

%check
python3 setup.py test

%files -n python3-%{pkg_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/oslo_db
%{python3_sitelib}/*.egg-info
%exclude %{python3_sitelib}/oslo_db/tests

%files -n python3-%{pkg_name}-tests
%{python3_sitelib}/oslo_db/tests

%files -n python-%{pkg_name}-lang -f oslo_db.lang
%license LICENSE

%if 0%{with doc}
%files -n python-%{pkg_name}-doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Thu Sep 21 2023 kianli <kianli@tencent.com> - 12.1.1-1
- Upgrade to 12.1.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.5.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.5.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.5.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 Shuo Wang <abushwang@tencent.com> - 8.5.1-1
- initial build
